Bug 176677 - rwhod service will not shut down
Summary: rwhod service will not shut down
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rwho (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-29 13:49 UTC by Dan Cox
Modified: 2015-03-05 01:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 05:10:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Cox 2005-12-29 13:49:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
It looks like the kill signal may be being sent to the wrong process?

[root@atlantis.wep.net] ~ $ /etc/init.d/rwhod status
rwhod is stopped
[root@atlantis.wep.net] ~ $ /etc/init.d/rwhod start
Starting rwho services:                                    [  OK  ]
[root@atlantis.wep.net] ~ $ ps -ef | grep rwho
root     17195     1  0 07:47 ?        00:00:00 rwhod
root     17196 17195  0 07:47 ?        00:00:00 rwhod
root     17199  2947  0 07:47 pts/1    00:00:00 grep rwho
[root@atlantis.wep.net] ~ $ /etc/init.d/rwhod stop
Stopping rwho services:                                    [FAILED]
[root@atlantis.wep.net] ~ $ ps -ef | grep rwho
root     17195     1  0 07:47 ?        00:00:00 rwhod
root     17196 17195  0 07:47 ?        00:00:00 [rwhod] <defunct>
root     17216  2947  0 07:48 pts/1    00:00:00 grep rwho
[root@atlantis.wep.net] ~ $ /etc/init.d/rwhod status
rwhod (pid 17196 17195) is running...
[root@atlantis.wep.net] ~ $ kill -9 17195
[root@atlantis.wep.net] ~ $ ps -ef | grep rwho
root     17224  2947  0 07:49 pts/1    00:00:00 grep rwho


Version-Release number of selected component (if applicable):
rwho-0.17-25

How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/rwhod start
2. /etc/init.d/rwhod stop
  

Additional info:

Comment 1 Christian Iseli 2007-01-22 11:56:10 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Dan Cox 2007-06-12 05:10:23 UTC
Works in FC6. I didn't get a change to test on FC5.


Note You need to log in before you can comment on or make changes to this bug.